%global rpm_name koji-fedoramessaging-messages
%global pypi_name koji_fedoramessaging_messages
%global pypi_version 1.2.5

Name:           python-%{rpm_name}
Version:        1.2.5
Release:        1.20241104172746156120.pr165.36.g6180ab8%{?dist}
Summary:        A schema package for messages sent by the koji-fedoramessaging plugin

License:        GPL-3.0-or-later
URL:            https://github.com/fedora-infra/koji-fedoramessaging-messages
Source0:        koji_fedoramessaging_messages-1.2.5.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(fedora-messaging) >= 3.0.1
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%description
Schema package for koji-fedoramessaging.

%package -n     python3-%{rpm_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{rpm_name}}

Requires:       python3dist(fedora-messaging) >= 3.0.1
Requires:       python3dist(setuptools)
%description -n python3-%{rpm_name}
Schema package for koji-fedoramessaging.


%prep
%autosetup -n koji_fedoramessaging_messages-1.2.5

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest -v tests/

%files -n python3-%{rpm_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Nov 04 2024 Packit <hello@packit.dev> - 1.2.5-1.20241104172746156120.pr165.36.g6180ab8
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.7.2 (renovate[bot])
- Update dependency pytest-cov to v6 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.7.1 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update all non-major dependencies (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook psf/black to v24.10.0 (renovate[bot])
- Update pre-commit hook pre-commit/pre-commit-hooks to v5 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.9 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.8 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.7 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.6 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.5 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.4 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.3 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.2 (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.6.1 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update all non-major dependencies (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.5.7 (renovate[bot])
- Update all non-major dependencies (renovate[bot])
- Update dependency sphinx to v8 (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update dependencies in lockfile (renovate[bot])
- Update pre-commit hook charliermarsh/ruff-pre-commit to v0.5.5 (renovate[bot])
- Update sigstore/gh-action-sigstore-python action to v3 (renovate[bot])

* Mon Nov 04 2024 renovate[bot] <29139614+renovate[bot]@users.noreply.github.com> - 1.2.5-1
- Version 1.2.5
